libqalculate-3.14.0

Classes | Enumerations | Functions
MathStructure.h File Reference
`#include <libqalculate/includes.h>`
`#include <libqalculate/Number.h>`
`#include <libqalculate/QalculateDateTime.h>`
`#include <sys/time.h>`

## Classes
class | MathStructure
| A structure representing a mathematical value/expression/result. More...

## Enumerations
enum | StructureType { STRUCT_MULTIPLICATION, STRUCT_INVERSE, STRUCT_DIVISION, STRUCT_ADDITION, STRUCT_NEGATE, STRUCT_POWER, STRUCT_NUMBER, STRUCT_UNIT, STRUCT_SYMBOLIC, STRUCT_FUNCTION, STRUCT_VARIABLE, STRUCT_VECTOR, STRUCT_BITWISE_AND, STRUCT_BITWISE_OR, STRUCT_BITWISE_XOR, STRUCT_BITWISE_NOT, STRUCT_LOGICAL_AND, STRUCT_LOGICAL_OR, STRUCT_LOGICAL_XOR, STRUCT_LOGICAL_NOT, STRUCT_COMPARISON, STRUCT_UNDEFINED, STRUCT_ABORTED, STRUCT_DATETIME }
| Types for MathStructure.
enum | { VARIABLE_ID_I = 200, VARIABLE_ID_PLUS_INFINITY = 201, VARIABLE_ID_MINUS_INFINITY = 202, VARIABLE_ID_UNDEFINED = 203, VARIABLE_ID_X = 300, VARIABLE_ID_Y = 301, VARIABLE_ID_Z = 302, VARIABLE_ID_N = 303, VARIABLE_ID_C = 304, MULTIPLICATION_SIGN_NONE, MULTIPLICATION_SIGN_SPACE, MULTIPLICATION_SIGN_OPERATOR, MULTIPLICATION_SIGN_OPERATOR_SHORT, VARIABLE_ID_E = 100, VARIABLE_ID_PI = 101, VARIABLE_ID_EULER = 102, VARIABLE_ID_CATALAN = 103, VARIABLE_ID_PRECISION = 140, VARIABLE_ID_TODAY = 161, VARIABLE_ID_TOMORROW = 162, VARIABLE_ID_YESTERDAY = 163, VARIABLE_ID_NOW = 164, VARIABLE_ID_UPTIME = 201 }
enum | { UNIT_ID_EURO = 510, UNIT_ID_BYN = 515, UNIT_ID_BTC = 520, UNIT_ID_SECOND = 550, UNIT_ID_MINUTE = 551, UNIT_ID_HOUR = 552, UNIT_ID_DAY = 553, UNIT_ID_MONTH = 554, UNIT_ID_YEAR = 555, TAG_TYPE_HTML, TAG_TYPE_TERMINAL }

## Functions
std::ostream & | operator<< (std::ostream &os, const MathStructure &)